class User < ApplicationRecord
  include PolicyManager::Concerns::UserBehavior

  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable, :trackable and :omniauthable
  devise :database_authenticatable, :registerable,
         :recoverable, :rememberable, :validatable

  enum role: { admin: 0, normal: 1 }
end
